summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-switch-demo-blue
diff options
context:
space:
mode:
Diffstat (limited to 'bin/taler-deployment-switch-demo-blue')
-rwxr-xr-xbin/taler-deployment-switch-demo-blue14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/taler-deployment-switch-demo-blue b/bin/taler-deployment-switch-demo-blue
new file mode 100755
index 0000000..e5f4eb0
--- /dev/null
+++ b/bin/taler-deployment-switch-demo-blue
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+if ! test $(whoami) = demo; then
+ echo Please run as the 'demo' user. Exiting.
+ exit 1
+fi
+
+rm /home/demo/sockets || true
+rm /home/demo/landing || true
+rm /home/demo/auditor || true
+ln -s /home/demo-blue/sockets /home/demo/sockets
+ln -s /home/demo-blue/landing /home/demo/landing
+ln -s /home/demo-blue/auditor /home/demo/auditor
+echo "demo-blue" > /home/demo/active